com.microfocus.zserver.zexplorer.model

## Class MvsDataset

- java.lang.Object
- - AbstractResource
  - - com.microfocus.zserver.zexplorer.model.MvsResource
    - - com.microfocus.zserver.zexplorer.model.MvsDataset

- All Implemented Interfaces:
    ISavableResource

      public class MvsDataset
      extends MvsResource

  Representation of a MVS data set.

  Important note: This non-public API is likely to change in the future. Do not use.

  Author:
    Micro Focus

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTRIBUTE_DCB_ERROR` the dataset attribute key for DCB error.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MvsDataset(java.lang.String pDatasetName, DatasetAttributes pDatasetAttributes, ISubSystem pSubSys)` Creates a new instance with the given `DatasetAttributes`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canBrowse()`
    `boolean` | `canEdit()`
    `IMvsDatasetMember` | `createMember(java.lang.String pNewMemberName, org.eclipse.core.runtime.IProgressMonitor pMon)`
    `java.lang.String` | `delete(org.eclipse.core.runtime.IProgressMonitor pMonitor)`
    `void` | `determineMissingAttributes()` Get the attributes primary quantity and directory blocks or data set type from the host.
    `boolean` | `existsChild(java.lang.String pMemberName)`
    `IMvsDatasetMember[]` | `fetchChildren(org.eclipse.core.runtime.IProgressMonitor pMon)`
    `IMvsDatasetMember[]` | `fetchChildren(java.lang.String pMemberFilter, org.eclipse.core.runtime.IProgressMonitor pMon)`
    `java.util.List<IMvsDatasetMember>` | `getChildren()`
    `DatasetAttributes` | `getDataSetAttributes()`
    `IFileAttributes<?,?>` | `getFileAttributes()`
    `java.lang.String` | `getFullQualifiedName()`
    `IMvsDatasetMember` | `getMemberByName(java.lang.String pMemberName)`
    `java.lang.String` | `getMemberFilter()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getSuffix()`
    `boolean` | `isAccessible()` Returns if the data set is accessible for the user (RACF)
    `boolean` | `isDCBOk()`
    `boolean` | `isHFSDataset()`
    `boolean` | `isMigrated()`
    `boolean` | `isNeitherSeqNorPartitioned()` Gets whether the data set is neither a sequential nor a partitioned data set.
    `boolean` | `isPartitioned()`
    `boolean` | `isSequential()`
    `boolean` | `memberExists(java.lang.String pDSN)` checks if the member with the given name already exists in this data set
    `void` | `recall(ERecallMethod pRM, org.eclipse.core.runtime.IProgressMonitor pMon)`
    `void` | `refresh(org.eclipse.core.runtime.IProgressMonitor pMon)`
    `void` | `rename(java.lang.String pNewDSN, org.eclipse.core.runtime.IProgressMonitor pMonitor)`
    `void` | `setAccessible(boolean pAccessible)`
    `void` | `setDataSetAttributes(SimpleFileAttributes pAttributes)`
    `void` | `setMemberFilter(java.lang.String pMemberFilter)` Sets the member filter
    `void` | `setSuffix(java.lang.String pSuffix)`

    - ### Methods inherited from class com.microfocus.zserver.zexplorer.model.MvsResource

      `getAbsoluteName, getContents, getSubSystem, getSystemImage, hasSuffix, save, unlock`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ATTRIBUTE_DCB_ERROR

          public static final java.lang.String ATTRIBUTE_DCB_ERROR

      the dataset attribute key for DCB error.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MvsDataset

          public MvsDataset(java.lang.String pDatasetName,
                            DatasetAttributes pDatasetAttributes,
                            ISubSystem pSubSys)

      Creates a new instance with the given `DatasetAttributes`.
      Parameters:
        `pDatasetName` - the data set name
        `pDatasetAttributes` - the data set attributes
        `pSubSys` - the `ISubSystem` the data set belongs to

  - ### Method Detail

    - #### getDataSetAttributes

          public DatasetAttributes getDataSetAttributes()

    - #### isSequential

          public boolean isSequential()

    - #### isPartitioned

          public boolean isPartitioned()

    - #### isNeitherSeqNorPartitioned

          public boolean isNeitherSeqNorPartitioned()

      Gets whether the data set is neither a sequential nor a partitioned data set.
      Returns:
        `true` if both `isSequential()` and `isPartitioned()` returns `false`

    - #### recall

          public void recall(ERecallMethod pRM,
                             org.eclipse.core.runtime.IProgressMonitor pMon)
                      throws ZExplorerException

      Throws:
        `ZExplorerException`

    - #### isAccessible

          public boolean isAccessible()

      Returns if the data set is accessible for the user (RACF)
      Returns:
        `true` if the data set is accessible, `false` otherwise.

    - #### setAccessible

          public void setAccessible(boolean pAccessible)

    - #### isMigrated

          public boolean isMigrated()

    - #### delete

          public java.lang.String delete(org.eclipse.core.runtime.IProgressMonitor pMonitor)
                                  throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### rename

          public void rename(java.lang.String pNewDSN,
                             org.eclipse.core.runtime.IProgressMonitor pMonitor)
                      throws java.io.IOException

      Overrides:
        `rename` in class `MvsResource`
      Throws:
        `java.io.IOException`

    - #### getChildren

          public java.util.List<IMvsDatasetMember> getChildren()

    - #### existsChild

          public boolean existsChild(java.lang.String pMemberName)

    - #### determineMissingAttributes

          public void determineMissingAttributes()

      Get the attributes primary quantity and directory blocks or data set type from the host. Automatically updates the data set's attributes.

    - #### createMember

          public IMvsDatasetMember createMember(java.lang.String pNewMemberName,
                                                org.eclipse.core.runtime.IProgressMonitor pMon)
                                         throws java.io.IOException,
                                                ZExplorerException

      Throws:
        `java.io.IOException`
        `ZExplorerException`

    - #### getMemberByName

          public IMvsDatasetMember getMemberByName(java.lang.String pMemberName)

    - #### isHFSDataset

          public boolean isHFSDataset()

    - #### refresh

          public void refresh(org.eclipse.core.runtime.IProgressMonitor pMon)
                       throws java.io.IOException

      Overrides:
        `refresh` in class `MvsResource`
      Throws:
        `java.io.IOException`

    - #### isDCBOk

          public boolean isDCBOk()

    - #### getName

          public java.lang.String getName()

      Returns:
        an unambiguous name for the resource

    - #### memberExists

          public boolean memberExists(java.lang.String pDSN)
                               throws java.lang.Exception

      checks if the member with the given name already exists in this data set
      Parameters:
        `pDSN` - member name to be checked
      Returns:
        `true` if the member already exists, `false` otherwise
      Throws:
        `java.lang.Exception` - if any exception occurs during the host request

    - #### fetchChildren

          public IMvsDatasetMember[] fetchChildren(org.eclipse.core.runtime.IProgressMonitor pMon)
                                            throws TaurusToolException

      Throws:
        `TaurusToolException`

    - #### fetchChildren

          public IMvsDatasetMember[] fetchChildren(java.lang.String pMemberFilter,
                                                   org.eclipse.core.runtime.IProgressMonitor pMon)
                                            throws TaurusToolException

      Throws:
        `TaurusToolException`

    - #### canBrowse

          public boolean canBrowse()

    - #### canEdit

          public boolean canEdit()

    - #### getMemberFilter

          public java.lang.String getMemberFilter()

    - #### setMemberFilter

          public void setMemberFilter(java.lang.String pMemberFilter)

      Sets the member filter
      Parameters:
        `pMemberFilter` - the member filter

    - #### getFullQualifiedName

          public java.lang.String getFullQualifiedName()

    - #### setSuffix

          public void setSuffix(java.lang.String pSuffix)

    - #### getSuffix

          public java.lang.String getSuffix()

    - #### setDataSetAttributes

          public void setDataSetAttributes(SimpleFileAttributes pAttributes)

    - #### getFileAttributes

          public IFileAttributes<?,?> getFileAttributes()

Copyright © 2015 Micro Focus GmbH. All rights reserved.